
Application: gvSIG desktop - gvSIG bugs #4068
Can't persist org.gvsig.crs.persistence.TrData values
02/01/2016 09:57 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: CRS
Target version: 2.4.0-2817 (rev. org.gvsig.desktop-2.0.183)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2417 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
The coordinate transformations (EPSG, manual, NTv2) are not persistent since gvSIG 2.1 at least.
How to reproduce the issue:
    -  create and open a view, e.g. in EPSG:4326;
    -  add one (or more) layer(s) defined e.g. in EPSG:2303x and apply a coordinate transformation (EPSG, manual, NTv2 grid);
    -  exit from gvSIG (see the gvSIG.log in attachment).

Extract from the gvSIG.log:

ERROR AWT-EventQueue-0 org.gvsig.andami.Launcher$TerminationProcess - There was an error exiting application, can't
save plugins properties
Can't save data of plugin org.gvsig.projection.app.jcrs.
    at org.gvsig.andami.PluginServices.savePluginProperties(PluginServices.java:807)

In practise, if we execute gvSIG again and try to do the same tasks described above, the CRS used before is not associated to a
coordinate transformation among the recent CRSs. So the user is forced to define each time the transformation to use.

Related to #3089.

Associated revisions
Revision 632 - 03/08/2017 10:15 AM - Francisco Díaz Carsí

refs #4068 Fixed persistence of TrData

History
#1 - 02/02/2016 06:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#2 - 05/31/2017 10:55 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2817 (rev. org.gvsig.desktop-2.0.183)

#3 - 05/31/2017 11:01 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
#4 - 06/11/2017 09:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_2417.log 383 KB 02/01/2016 Antonio Falciano
